Bug 35890 - SAML app for UCS 4.0
SAML app for UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Erik Damrose
Arvid Requate
: interim-3
Depends on: 36095
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-11 09:16 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Logo for login dialog. (2.11 KB, image/svg+xml)
2014-11-03 13:07 CET, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-11 09:16:57 CEST
Simplesamlphp app should be available in the App Center for UCS 4.0.
Comment 1 Erik Damrose univentionstaff 2014-10-10 16:37:35 CEST
The saml app is available in the test app center. It still uses the old website theme, waiting for Bug 36095.
UCS 4 simplesamlphp version is 1.9.2-1.12.201403192024, so the saml app still provides a more recent version: 1.11.0-1.7.201307011408
Comment 2 Johannes Keiser univentionstaff 2014-10-30 20:06:36 CET
I adapted the php files to the new design. Should be fine like this, Erik, can you please check.

BTW, the footer links could be removed from the php translations if the HTML code would be copied from the ucs-overview/index.html file.

univention-saml (2.0.1-1):
* Bug #35890: adapted php files to new UCS overview design
Comment 3 Alexander Kläser univentionstaff 2014-11-03 13:07:29 CET
Created attachment 6282 [details]
Logo for login dialog.

Attached is a logo for the SAML login dialogue. With the UCS logo it seems to much like a UMC login.
Comment 4 Erik Damrose univentionstaff 2014-11-03 13:22:59 CET
r55265 i changed the dialog text and text positions.

alexk and i talked about a different login icon, to make it obvious the user does not log into the UMC.

Johannes, could you please improve the layout:
- Include the new icon
- Error messages should be displayed in the same style as umc login error messages (dark-grey box below the dialog)
- Recheck the other templates and adjust their style too (authorize_403.php, logout.php)
Comment 5 Johannes Keiser univentionstaff 2014-11-03 17:56:59 CET
r55308 

I adjusted the design of the login error to match the UMC login error message.
The login icon was replaced.
The "Access forbidden" message matches the new design.

r55303

Added the Logo for login dialog and added a css class for the login error message.
Comment 6 Erik Damrose univentionstaff 2014-11-03 18:07:17 CET
r55311 i adjusted the UMC module layout to work better with the increased font size
Comment 7 Erik Damrose univentionstaff 2014-11-03 18:33:36 CET
- I still see the old logo
- The styling of an error message is still off, something seems to be missing
Florian has offered to give an indepth guide on howto adapt the styling, please ask him
Comment 8 Florian Best univentionstaff 2014-11-03 19:42:04 CET
Hey Johannes,
it would be best practice to copy the HTML structure of the login dialog of UMC.
You can find it in index.html of the UMC-frontend package, use the structure underneath from div[class=umcLoginDialog].
Then place a div under those called umcLoginMessages, copy the structure from the chromium DOM-console when you e.g. enter a wrong password.
Then copy the HTML styles (at least those for umcMessages (and umcLoginDialog?)) into the styles. You can find all these login related styles in management/univention-management-console-frontend-theme/dijit-claro-stylus/site/login.styl.
Comment 9 Johannes Keiser univentionstaff 2014-11-04 12:33:29 CET
(In reply to Erik Damrose from comment #7)
> - I still see the old logo
> - The styling of an error message is still off, something seems to be missing
> Florian has offered to give an indepth guide on howto adapt the styling,
> please ask him

The Packages file in the repository was broken.
Should be fine now.

univention-apache (7.0.14-1):
Bug #35890:
* reduced font size for the login error message
* adjusted box-shadow slightly
Comment 10 Erik Damrose univentionstaff 2014-11-04 14:31:35 CET
Taking the bug back for now. The updated design looks very good, thanks Johannes.

App Center is up-to-date, tests with testshib.org as the service provider are successful.
Comment 11 Arvid Requate univentionstaff 2014-11-04 18:22:58 CET
Ok, installable and works. Changelog added.
Comment 12 Stefan Gohmann univentionstaff 2014-11-26 06:54:40 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".